Subject: Germinating Olive Seeds

From: Walter Shafron <[email-masked]>
Date: 14 Mar 1995 03:46:20 GMT

I have recently read in a book on propagation that olive trees are easy
to grow by germinating the seed and then grafting onto a rootstock. I was
wondering if there are any tricks in the germination stage. It doesnt
strike me that olive seeds would be easy to start. Has anyone done this,
and is the grafting onto rootstock only to expedite the development of
the tree that would otherwise be painstakingly slow.

Thanks
Walter Shafron